PostgreSQL 7.2.1 Documentation
Prev |  | Next

# pg_lo_read

## Name

pg_lo_read -- read a large object

## Synopsis

    pg_lo_read conn fd bufVar len

### Inputs

`conn`

  Specifies a valid database connection.

`fd`

  File descriptor for the large object from pg_lo_open.

`bufVar`

  Specifies a valid buffer variable to contain the large object segment.

`len`

  Specifies the maximum allowable size of the large object segment.

### Outputs

None

## Description

`pg_lo_read` reads at most `len` bytes from a large object into a variable named `bufVar`.

## Usage

`bufVar` must be a valid variable name.

Prev | Home | Next
pg_lo_close | Up | pg_lo_write